## q2-emperor 2024.5.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_emperor

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-emperor 2022.2.0

=== debian/changelog ===
q2-emperor (2022.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Tue, 12 Jul 2022 13:01:59 +0200

q2-emperor (2020.11.1-2) unstable; urgency=high

  * Team upload.
    + Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Thu, 03 Mar 2022 02:15:06 +0530

q2-emperor (2020.11.1-1) unstable; urgency=medium

  * Initial release (Closes: #991990).

 -- Steffen Moeller <moeller@debian.org>  Fri, 18 Feb 2022 02:21:50 +0530

=== debian/control ===
Source: q2-emperor
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-emperor <!nocheck>,
               qiime <!nocheck>,
               q2templates (>= 2022.2.0) <!nocheck>,
               q2-types (>= 2022.2.0) <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-emperor
Vcs-Git: https://salsa.debian.org/med-team/q2-emperor.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-emperor
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pandas,
         python3-emperor,
         python3-distutils,
         q2templates,
         q2-types,
         qiime
Description: QIIME2 plugin for display of ordination plots
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-emperor.egg-* \
	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_emperor"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf q2_emperor.egg-info
	rm -rf __pycache__

## q2-emperor 2022.11.1

=== debian/changelog ===
q2-emperor (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:41:08 +0100

q2-emperor (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)
  * Delay build-time test since registration in qiime2 can't be done
    at that point in time

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 06:58:57 +0100

q2-emperor (2022.8.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 06 Sep 2022 18:07:23 +0530

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-emperor <!nocheck>,
-               qiime <!nocheck>,
-               q2templates (>= 2022.2.0) <!nocheck>,
-               q2-types (>= 2022.2.0) <!nocheck>
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1) <!nocheck>,
+               q2templates (>= 2022.11.1) <!nocheck>,
+               q2-types (>= 2022.11.1) <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-emperor
 Vcs-Git: https://salsa.debian.org/med-team/q2-emperor.git
 Homepage: https://qiime2.org/
@@ -27,9 +27,9 @@
          python3-pandas,
          python3-emperor,
          python3-distutils,
-         q2templates,
-         q2-types,
-         qiime
+         q2templates (>= 2022.11.1),
+         q2-types (>= 2022.11.1),
+         qiime (>= 2022.11.1)
 Description: QIIME2 plugin for display of ordination plots
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,11 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
+#       at build time.
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_emperor"
+	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_emperor" || true
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest
Restrictions: allow-stderr, skip-not-installable

## q2-emperor 2023.7.0

=== debian/changelog ===
q2-emperor (2023.7.0-1) unstable; urgency=medium

  * New upstream version 2023.7.0
  * skip-test-needing-internet.patch: new.
  * d/copyright: bump copyright year.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 15:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: q2-emperor
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## q2-emperor 2024.5.0

=== debian/changelog ===
q2-emperor (2024.5.0-2) unstable; urgency=medium

  * Team upload.
  * Remove unneeded dependency on python3-distutils. Closes: #1065945

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 30 Jun 2024 09:16:05 +0200

q2-emperor (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime packaging

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:35:08 +0200

q2-emperor (2024.2.0-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest needs python3-pytest-cov too

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 15:46:15 +0200

q2-emperor (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 14:29:52 +0100

q2-emperor (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 16:16:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-emperor
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
@@ -5,15 +6,15 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-emperor <!nocheck>,
-               qiime (>= 2022.11.1) <!nocheck>,
-               q2templates (>= 2022.11.1) <!nocheck>,
-               q2-types (>= 2022.11.1) <!nocheck>
+               qiime (>= 2024.5) <!nocheck>,
+               q2templates (>= 2024.5) <!nocheck>,
+               q2-types (>= 2024.5) <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-emperor
 Vcs-Git: https://salsa.debian.org/med-team/q2-emperor.git
@@ -27,10 +28,9 @@
          ${python3:Depends},
          python3-pandas,
          python3-emperor,
-         python3-distutils,
-         q2templates (>= 2022.11.1),
-         q2-types (>= 2022.11.1),
-         qiime (>= 2022.11.1)
+         q2templates (>= 2024.5),
+         q2-types (>= 2024.5),
+         qiime (>= 2024.5)
 Description: QIIME2 plugin for display of ordination plots
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-emperor.egg-* \
 	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
 #       at build time.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-pytest-cov, python3-all
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-emperor/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
